PHP is among the most widely used multiparadigm programming languages. It is highly popular since it’s free software, which can be used to set up responsive websites like community sites, e-stores or online learning sites as opposed to static HTML-based websites. A PHP module must be available on the web server where a PHP-driven website is hosted so that its code can be read. Since there aren’t any license fees for this kind of module and the language offers unlimited options for the Internet applications that you set up, there are 100s of millions of PHP websites. What is more, there are many PHP scripts, which you can use for your websites without needing to possess any coding skills. Given the fact that there are different PHP versions, you must ensure that the exact same version that you used while developing your website is enabled on the server as well.

PHP 4 and PHP 5 Support in Cloud Hosting

In case you get a cloud hosting plan from our company, you’ll never need to ponder over whether your websites are compatible with the web hosting platform, since we offer support for several PHP versions for the sake of your convenience. The Hepsia hosting Control Panel will permit you to select PHP 4, 5.2, 5.3, 5.4 or 5.5 with only one single click of the mouse and in case you want to change the version, the new settings will take effect straight away. Thus, many years of work on websites built with an older version of PHP won’t be wasted. Our web hosting platform will even allow you to use a different PHP version for each domain hosted in your account, which goes to say that you can run newer and older scripts at the same time. Most web hosting providers on the market offer support for one, sometimes for two PHP versions. In contrast to them, we consider that you should be the one to pick the version that will be used by your own websites.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your sites were created with an older version of PHP, you’ll be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our servers and each of them can be enabled for your account with just one click through our in-house created Hepsia hosting Control Panel. Besides the most recent PHP 5.4 and PHP 5.5, we also offer 5.3, 5.2 and the older PHP 4. The latter has already been dropped by the vast majority of web hosting companies, but we strongly deem that you should not be compelled to modify a website that took several years to develop, since older script language syntax doesn’t inevitably imply security gaps. On the contrary, a well-maintained site using PHP 4 can be more secure than an incompetently maintained one using PHP 5. For your convenience’s sake, we’ll also offer you the possibility to choose a different version for each single website within your account.